/****************************************************************************
** Interface definition generated for ActiveQt project
**
**     'C:\Qt\4.7.0\examples\activeqt\wrapper\release\wrapperax.dll'
**
** Created:  ven. 1. oct. 10:22:36 2010
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

import "ocidl.idl";
#include <olectl.h>

[
	uuid(3B756301-0075-4E40-8BE8-5A81DE2426B7),
	version(1.0),
	helpstring("wrapperax 1.0 Type Library")
]
library wrapperaxLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	/************************************************************************
	** If this causes a compile error in MIDL you need to upgrade the
	** Platform SDK you are using. Download the SDK from msdn.microsoft.com
	** and make sure that both the system and the Visual Studio environment
	** use the correct files.
	**
	************************************************************************/

	[uuid(34030f30-e359-4fe6-ab82-39766f5d91ee)]
	struct QRect {
		int left;
		int top;
		int right;
		int bottom;
	};

	[uuid(cb5f84b3-29e5-491d-ba18-5472488eefba)]
	struct QSize {
		int width;
		int height;
	};

	[uuid(3be838a3-3fac-bfc4-4c6c-37c44d030252)]
	struct QPoint {
		int x;
		int y;
	};

	/* Forward declaration of classes that might be used as parameters */

	coclass QCheckBox;
	coclass QRadioButton;
	coclass QPushButton;
	coclass QToolButton;


	enum MousePointer {
		ArrowCursor             = 0,
		UpArrowCursor           = 1,
		CrossCursor             = 2,
		WaitCursor              = 3,
		IBeamCursor             = 4,
		SizeVerCursor           = 5,
		SizeHorCursor           = 6,
		SizeBDiagCursor         = 7,
		SizeFDiagCursor         = 8,
		SizeAllCursor           = 9,
		BlankCursor             = 10,
		SplitVCursor            = 11,
		SplitHCursor            = 12,
		PointingHandCursor      = 13,
		ForbiddenCursor         = 14,
		WhatsThisCursor         = 15,
		BusyCursor	= 16
	};

	enum FocusPolicy {
		NoFocus             = 0,
		TabFocus            = 1,
		ClickFocus          = 2,
		StrongFocus         = 11,
		WheelFocus          = 15
	};


	[
		uuid(4FD39DD7-2DE0-43C1-A8C2-27C51A052810),
		helpstring("QCheckBox Interface")
	]
	dispinterface IQCheckBox
	{
	properties:
		[id(1), readonly] VARIANT_BOOL modal;
	/****** Property is of unsupported datatype
		[id(2)] Qt::WindowModality windowModality;
	******/
		[id(3)] VARIANT_BOOL enabled;
		[id(4), readonly] struct QRect normalGeometry;
		[id(5), readonly] int x;
		[id(6), readonly] int y;
		[id(7), readonly] int width;
		[id(8), readonly] int height;
	/****** Property is of unsupported datatype
		[id(9)] QSizePolicy sizePolicy;
	******/
		[id(10), nonbrowsable] int minimumWidth;
		[id(11), nonbrowsable] int minimumHeight;
		[id(12), nonbrowsable] int maximumWidth;
		[id(13), nonbrowsable] int maximumHeight;
	/****** Property is of unsupported datatype
		[id(14)] QPalette palette;
	******/
		[id(15)] IFontDisp* font;
		[id(16)] enum MousePointer cursor;
		[id(17)] VARIANT_BOOL mouseTracking;
		[id(18)] enum FocusPolicy focusPolicy;
	/****** Property is of unsupported datatype
		[id(19)] Qt::ContextMenuPolicy contextMenuPolicy;
	******/
		[id(20), nonbrowsable] VARIANT_BOOL updatesEnabled;
		[id(21), readonly] VARIANT_BOOL maximized;
		[id(22), readonly] VARIANT_BOOL fullScreen;
		[id(23)] VARIANT_BOOL acceptDrops;
		[id(24)] BSTR windowTitle;
	/****** Property is of unsupported datatype
		[id(25)] QIcon windowIcon;
	******/
		[id(26)] BSTR windowIconText;
		[id(27)] VARIANT_BOOL windowModified;
		[id(28)] BSTR toolTip;
		[id(29)] BSTR statusTip;
		[id(30)] BSTR whatsThis;
		[id(31)] BSTR accessibleName;
		[id(32)] BSTR accessibleDescription;
	/****** Property is of unsupported datatype
		[id(33)] Qt::LayoutDirection layoutDirection;
	******/
		[id(34)] VARIANT_BOOL autoFillBackground;
		[id(35)] BSTR styleSheet;
	/****** Property is of unsupported datatype
		[id(36)] QLocale locale;
	******/
		[id(37)] BSTR windowFilePath;
	/****** Property is of unsupported datatype
		[id(38)] Qt::InputMethodHints inputMethodHints;
	******/
		[id(39)] BSTR text;
	/****** Property is of unsupported datatype
		[id(40)] QIcon icon;
	******/
		[id(41)] struct QSize iconSize;
	/****** Property is of unsupported datatype
		[id(42)] QKeySequence shortcut;
	******/
		[id(43)] VARIANT_BOOL checkable;
		[id(44)] VARIANT_BOOL checked;
		[id(45)] VARIANT_BOOL autoRepeat;
		[id(46)] VARIANT_BOOL autoExclusive;
		[id(47)] int autoRepeatDelay;
		[id(48)] int autoRepeatInterval;
		[id(49), nonbrowsable] VARIANT_BOOL down;
		[id(50)] VARIANT_BOOL tristate;

	methods:
		[id(51)] void setEnabled([in] VARIANT_BOOL p0);
		[id(52)] void setDisabled([in] VARIANT_BOOL p0);
		[id(53)] void setWindowModified([in] VARIANT_BOOL p0);
		[id(54)] void setWindowTitle([in] BSTR p0);
		[id(55)] void setStyleSheet([in] BSTR p_styleSheet);
		[id(56)] void setFocus();
		[id(57)] void setVisible([in] VARIANT_BOOL p_visible);
		[id(58)] void show();
		[id(59)] void hide();
		[id(60)] VARIANT_BOOL close();
		[id(61)] void raise();
		[id(62)] void lower();
		[id(63)] void setIconSize([in] struct QSize p_size);
		[id(64)] void animateClick([in,optional] VARIANT /*was: int*/ p_msec);
		[id(65)] void click();
		[id(66)] void toggle();
		[id(67)] void setChecked([in] VARIANT_BOOL p0);
		[id(68)] void setOn([in] VARIANT_BOOL p_b);
	};

	[
		uuid(FDB6FFBE-56A3-4E90-8F4D-198488418B3A),
		helpstring("QCheckBox Events Interface")
	]
	dispinterface IQCheckBoxEvents
	{
	properties:
	methods:
	/****** Signal parameter uses unsupported datatype
		[id(1)] void destroyed([in] QObject p0);
	******/
		[id(2)] void destroyed_1();
		[id(3)] void customContextMenuRequested([in] struct QPoint p_pos);
		[id(4)] void pressed();
		[id(5)] void released();
		[id(6)] void clicked([in] VARIANT_BOOL p_checked);
		[id(7)] void clicked_1();
		[id(8)] void toggled([in] VARIANT_BOOL p_checked);
		[id(9)] void stateChanged([in] int p0);
	};

	[
		aggregatable,
		helpstring("QCheckBox Class"),
		uuid(6E795DE9-872D-43CF-A831-496EF9D86C68), 
		control
	]
	coclass QCheckBox
	{
		[default] dispinterface IQCheckBox;
		[default, source] dispinterface IQCheckBoxEvents;
	};

	[
		uuid(7CC8AE30-206C-48A3-A009-B0A088026C2F),
		helpstring("QRadioButton Interface")
	]
	dispinterface IQRadioButton
	{
	properties:
		[id(1), readonly] VARIANT_BOOL modal;
	/****** Property is of unsupported datatype
		[id(2)] Qt::WindowModality windowModality;
	******/
		[id(3)] VARIANT_BOOL enabled;
		[id(4), readonly] struct QRect normalGeometry;
		[id(5), readonly] int x;
		[id(6), readonly] int y;
		[id(7), readonly] int width;
		[id(8), readonly] int height;
	/****** Property is of unsupported datatype
		[id(9)] QSizePolicy sizePolicy;
	******/
		[id(10), nonbrowsable] int minimumWidth;
		[id(11), nonbrowsable] int minimumHeight;
		[id(12), nonbrowsable] int maximumWidth;
		[id(13), nonbrowsable] int maximumHeight;
	/****** Property is of unsupported datatype
		[id(14)] QPalette palette;
	******/
		[id(15)] IFontDisp* font;
		[id(16)] enum MousePointer cursor;
		[id(17)] VARIANT_BOOL mouseTracking;
		[id(18)] enum FocusPolicy focusPolicy;
	/****** Property is of unsupported datatype
		[id(19)] Qt::ContextMenuPolicy contextMenuPolicy;
	******/
		[id(20), nonbrowsable] VARIANT_BOOL updatesEnabled;
		[id(21), readonly] VARIANT_BOOL maximized;
		[id(22), readonly] VARIANT_BOOL fullScreen;
		[id(23)] VARIANT_BOOL acceptDrops;
		[id(24)] BSTR windowTitle;
	/****** Property is of unsupported datatype
		[id(25)] QIcon windowIcon;
	******/
		[id(26)] BSTR windowIconText;
		[id(27)] VARIANT_BOOL windowModified;
		[id(28)] BSTR toolTip;
		[id(29)] BSTR statusTip;
		[id(30)] BSTR whatsThis;
		[id(31)] BSTR accessibleName;
		[id(32)] BSTR accessibleDescription;
	/****** Property is of unsupported datatype
		[id(33)] Qt::LayoutDirection layoutDirection;
	******/
		[id(34)] VARIANT_BOOL autoFillBackground;
		[id(35)] BSTR styleSheet;
	/****** Property is of unsupported datatype
		[id(36)] QLocale locale;
	******/
		[id(37)] BSTR windowFilePath;
	/****** Property is of unsupported datatype
		[id(38)] Qt::InputMethodHints inputMethodHints;
	******/
		[id(39)] BSTR text;
	/****** Property is of unsupported datatype
		[id(40)] QIcon icon;
	******/
		[id(41)] struct QSize iconSize;
	/****** Property is of unsupported datatype
		[id(42)] QKeySequence shortcut;
	******/
		[id(43)] VARIANT_BOOL checkable;
		[id(44)] VARIANT_BOOL checked;
		[id(45)] VARIANT_BOOL autoRepeat;
		[id(46)] VARIANT_BOOL autoExclusive;
		[id(47)] int autoRepeatDelay;
		[id(48)] int autoRepeatInterval;
		[id(49), nonbrowsable] VARIANT_BOOL down;

	methods:
		[id(50)] void setEnabled([in] VARIANT_BOOL p0);
		[id(51)] void setDisabled([in] VARIANT_BOOL p0);
		[id(52)] void setWindowModified([in] VARIANT_BOOL p0);
		[id(53)] void setWindowTitle([in] BSTR p0);
		[id(54)] void setStyleSheet([in] BSTR p_styleSheet);
		[id(55)] void setFocus();
		[id(56)] void setVisible([in] VARIANT_BOOL p_visible);
		[id(57)] void show();
		[id(58)] void hide();
		[id(59)] VARIANT_BOOL close();
		[id(60)] void raise();
		[id(61)] void lower();
		[id(62)] void setIconSize([in] struct QSize p_size);
		[id(63)] void animateClick([in,optional] VARIANT /*was: int*/ p_msec);
		[id(64)] void click();
		[id(65)] void toggle();
		[id(66)] void setChecked([in] VARIANT_BOOL p0);
		[id(67)] void setOn([in] VARIANT_BOOL p_b);
	};

	[
		uuid(73EE4860-684C-4A66-BF63-9B9EFFA0CBE5),
		helpstring("QRadioButton Events Interface")
	]
	dispinterface IQRadioButtonEvents
	{
	properties:
	methods:
	/****** Signal parameter uses unsupported datatype
		[id(1)] void destroyed([in] QObject p0);
	******/
		[id(2)] void destroyed_1();
		[id(3)] void customContextMenuRequested([in] struct QPoint p_pos);
		[id(4)] void pressed();
		[id(5)] void released();
		[id(6)] void clicked([in] VARIANT_BOOL p_checked);
		[id(7)] void clicked_1();
		[id(8)] void toggled([in] VARIANT_BOOL p_checked);
	};

	[
		aggregatable,
		helpstring("QRadioButton Class"),
		uuid(AFCF78C8-446C-409A-93B3-BA2959039189), 
		control
	]
	coclass QRadioButton
	{
		[default] dispinterface IQRadioButton;
		[default, source] dispinterface IQRadioButtonEvents;
	};

	[
		uuid(06831CC9-59B6-436A-9578-6D53E5AD03D3),
		helpstring("QPushButton Interface")
	]
	dispinterface IQPushButton
	{
	properties:
		[id(1), readonly] VARIANT_BOOL modal;
	/****** Property is of unsupported datatype
		[id(2)] Qt::WindowModality windowModality;
	******/
		[id(3)] VARIANT_BOOL enabled;
		[id(4), readonly] struct QRect normalGeometry;
		[id(5), readonly] int x;
		[id(6), readonly] int y;
		[id(7), readonly] int width;
		[id(8), readonly] int height;
	/****** Property is of unsupported datatype
		[id(9)] QSizePolicy sizePolicy;
	******/
		[id(10), nonbrowsable] int minimumWidth;
		[id(11), nonbrowsable] int minimumHeight;
		[id(12), nonbrowsable] int maximumWidth;
		[id(13), nonbrowsable] int maximumHeight;
	/****** Property is of unsupported datatype
		[id(14)] QPalette palette;
	******/
		[id(15)] IFontDisp* font;
		[id(16)] enum MousePointer cursor;
		[id(17)] VARIANT_BOOL mouseTracking;
		[id(18)] enum FocusPolicy focusPolicy;
	/****** Property is of unsupported datatype
		[id(19)] Qt::ContextMenuPolicy contextMenuPolicy;
	******/
		[id(20), nonbrowsable] VARIANT_BOOL updatesEnabled;
		[id(21), readonly] VARIANT_BOOL maximized;
		[id(22), readonly] VARIANT_BOOL fullScreen;
		[id(23)] VARIANT_BOOL acceptDrops;
		[id(24)] BSTR windowTitle;
	/****** Property is of unsupported datatype
		[id(25)] QIcon windowIcon;
	******/
		[id(26)] BSTR windowIconText;
		[id(27)] VARIANT_BOOL windowModified;
		[id(28)] BSTR toolTip;
		[id(29)] BSTR statusTip;
		[id(30)] BSTR whatsThis;
		[id(31)] BSTR accessibleName;
		[id(32)] BSTR accessibleDescription;
	/****** Property is of unsupported datatype
		[id(33)] Qt::LayoutDirection layoutDirection;
	******/
		[id(34)] VARIANT_BOOL autoFillBackground;
		[id(35)] BSTR styleSheet;
	/****** Property is of unsupported datatype
		[id(36)] QLocale locale;
	******/
		[id(37)] BSTR windowFilePath;
	/****** Property is of unsupported datatype
		[id(38)] Qt::InputMethodHints inputMethodHints;
	******/
		[id(39)] BSTR text;
	/****** Property is of unsupported datatype
		[id(40)] QIcon icon;
	******/
		[id(41)] struct QSize iconSize;
	/****** Property is of unsupported datatype
		[id(42)] QKeySequence shortcut;
	******/
		[id(43)] VARIANT_BOOL checkable;
		[id(44), nonbrowsable] VARIANT_BOOL checked;
		[id(45)] VARIANT_BOOL autoRepeat;
		[id(46)] VARIANT_BOOL autoExclusive;
		[id(47)] int autoRepeatDelay;
		[id(48)] int autoRepeatInterval;
		[id(49), nonbrowsable] VARIANT_BOOL down;
		[id(50)] VARIANT_BOOL autoDefault;
		[id(51)] VARIANT_BOOL defaulted;
		[id(52)] VARIANT_BOOL flat;

	methods:
		[id(53)] void setEnabled([in] VARIANT_BOOL p0);
		[id(54)] void setDisabled([in] VARIANT_BOOL p0);
		[id(55)] void setWindowModified([in] VARIANT_BOOL p0);
		[id(56)] void setWindowTitle([in] BSTR p0);
		[id(57)] void setStyleSheet([in] BSTR p_styleSheet);
		[id(58)] void setFocus();
		[id(59)] void setVisible([in] VARIANT_BOOL p_visible);
		[id(60)] void show();
		[id(61)] void hide();
		[id(62)] VARIANT_BOOL close();
		[id(63)] void raise();
		[id(64)] void lower();
		[id(65)] void setIconSize([in] struct QSize p_size);
		[id(66)] void animateClick([in,optional] VARIANT /*was: int*/ p_msec);
		[id(67)] void click();
		[id(68)] void toggle();
		[id(69)] void setChecked([in] VARIANT_BOOL p0);
		[id(70)] void setOn([in] VARIANT_BOOL p_b);
		[id(71)] void showMenu();
	};

	[
		uuid(3CC3F17F-EA59-4B58-BBD3-842D467131DD),
		helpstring("QPushButton Events Interface")
	]
	dispinterface IQPushButtonEvents
	{
	properties:
	methods:
	/****** Signal parameter uses unsupported datatype
		[id(1)] void destroyed([in] QObject p0);
	******/
		[id(2)] void destroyed_1();
		[id(3)] void customContextMenuRequested([in] struct QPoint p_pos);
		[id(4)] void pressed();
		[id(5)] void released();
		[id(6)] void clicked([in] VARIANT_BOOL p_checked);
		[id(7)] void clicked_1();
		[id(8)] void toggled([in] VARIANT_BOOL p_checked);
	};

	[
		aggregatable,
		helpstring("QPushButton Class"),
		uuid(2B262458-A4B6-468B-B7D4-CF5FEE0A7092), 
		control
	]
	coclass QPushButton
	{
		[default] dispinterface IQPushButton;
		[default, source] dispinterface IQPushButtonEvents;
	};
	enum ToolButtonPopupMode {
		DelayedPopup        	= 0, 
		MenuButtonPopup     	= 1, 
		InstantPopup        	= 2
	};


	[
		uuid(6726080F-D63D-4950-A366-9BF33E5CDF84),
		helpstring("QToolButton Interface")
	]
	dispinterface IQToolButton
	{
	properties:
		[id(1), readonly] VARIANT_BOOL modal;
	/****** Property is of unsupported datatype
		[id(2)] Qt::WindowModality windowModality;
	******/
		[id(3)] VARIANT_BOOL enabled;
		[id(4), readonly] struct QRect normalGeometry;
		[id(5), readonly] int x;
		[id(6), readonly] int y;
		[id(7), readonly] int width;
		[id(8), readonly] int height;
	/****** Property is of unsupported datatype
		[id(9)] QSizePolicy sizePolicy;
	******/
		[id(10), nonbrowsable] int minimumWidth;
		[id(11), nonbrowsable] int minimumHeight;
		[id(12), nonbrowsable] int maximumWidth;
		[id(13), nonbrowsable] int maximumHeight;
	/****** Property is of unsupported datatype
		[id(14)] QPalette palette;
	******/
		[id(15)] IFontDisp* font;
		[id(16)] enum MousePointer cursor;
		[id(17)] VARIANT_BOOL mouseTracking;
		[id(18)] enum FocusPolicy focusPolicy;
	/****** Property is of unsupported datatype
		[id(19)] Qt::ContextMenuPolicy contextMenuPolicy;
	******/
		[id(20), nonbrowsable] VARIANT_BOOL updatesEnabled;
		[id(21), readonly] VARIANT_BOOL maximized;
		[id(22), readonly] VARIANT_BOOL fullScreen;
		[id(23)] VARIANT_BOOL acceptDrops;
		[id(24)] BSTR windowTitle;
	/****** Property is of unsupported datatype
		[id(25)] QIcon windowIcon;
	******/
		[id(26)] BSTR windowIconText;
		[id(27)] VARIANT_BOOL windowModified;
		[id(28)] BSTR toolTip;
		[id(29)] BSTR statusTip;
		[id(30)] BSTR whatsThis;
		[id(31)] BSTR accessibleName;
		[id(32)] BSTR accessibleDescription;
	/****** Property is of unsupported datatype
		[id(33)] Qt::LayoutDirection layoutDirection;
	******/
		[id(34)] VARIANT_BOOL autoFillBackground;
		[id(35)] BSTR styleSheet;
	/****** Property is of unsupported datatype
		[id(36)] QLocale locale;
	******/
		[id(37)] BSTR windowFilePath;
	/****** Property is of unsupported datatype
		[id(38)] Qt::InputMethodHints inputMethodHints;
	******/
		[id(39)] BSTR text;
	/****** Property is of unsupported datatype
		[id(40)] QIcon icon;
	******/
		[id(41)] struct QSize iconSize;
	/****** Property is of unsupported datatype
		[id(42)] QKeySequence shortcut;
	******/
		[id(43)] VARIANT_BOOL checkable;
		[id(44), nonbrowsable] VARIANT_BOOL checked;
		[id(45)] VARIANT_BOOL autoRepeat;
		[id(46)] VARIANT_BOOL autoExclusive;
		[id(47)] int autoRepeatDelay;
		[id(48)] int autoRepeatInterval;
		[id(49), nonbrowsable] VARIANT_BOOL down;
		[id(50)] enum ToolButtonPopupMode popupMode;
	/****** Property is of unsupported datatype
		[id(51)] Qt::ToolButtonStyle toolButtonStyle;
	******/
		[id(52)] VARIANT_BOOL autoRaise;
	/****** Property is of unsupported datatype
		[id(53)] Qt::ArrowType arrowType;
	******/

	methods:
		[id(54)] void setEnabled([in] VARIANT_BOOL p0);
		[id(55)] void setDisabled([in] VARIANT_BOOL p0);
		[id(56)] void setWindowModified([in] VARIANT_BOOL p0);
		[id(57)] void setWindowTitle([in] BSTR p0);
		[id(58)] void setStyleSheet([in] BSTR p_styleSheet);
		[id(59)] void setFocus();
		[id(60)] void setVisible([in] VARIANT_BOOL p_visible);
		[id(61)] void show();
		[id(62)] void hide();
		[id(63)] VARIANT_BOOL close();
		[id(64)] void raise();
		[id(65)] void lower();
		[id(66)] void setIconSize([in] struct QSize p_size);
		[id(67)] void animateClick([in,optional] VARIANT /*was: int*/ p_msec);
		[id(68)] void click();
		[id(69)] void toggle();
		[id(70)] void setChecked([in] VARIANT_BOOL p0);
		[id(71)] void setOn([in] VARIANT_BOOL p_b);
		[id(72)] void showMenu();
	/****** Slot parameter uses unsupported datatype
		[id(73)] void setToolButtonStyle([in] Qt::ToolButtonStyle p_style);
	******/
	/****** Slot parameter uses unsupported datatype
		[id(74)] void setDefaultAction([in] QAction p0);
	******/
		[id(75)] void setUsesBigPixmap([in] VARIANT_BOOL p_enable);
		[id(76)] void setUsesTextLabel([in] VARIANT_BOOL p_enable);
	/****** Slot parameter uses unsupported datatype
		[id(77)] void setTextPosition([in] QToolButton::TextPosition p_pos);
	******/
	};

	[
		uuid(F4D421FD-4EAD-4FD9-8A25-440766939639),
		helpstring("QToolButton Events Interface")
	]
	dispinterface IQToolButtonEvents
	{
	properties:
	methods:
	/****** Signal parameter uses unsupported datatype
		[id(1)] void destroyed([in] QObject p0);
	******/
		[id(2)] void destroyed_1();
		[id(3)] void customContextMenuRequested([in] struct QPoint p_pos);
		[id(4)] void pressed();
		[id(5)] void released();
		[id(6)] void clicked([in] VARIANT_BOOL p_checked);
		[id(7)] void clicked_1();
		[id(8)] void toggled([in] VARIANT_BOOL p_checked);
	/****** Signal parameter uses unsupported datatype
		[id(9)] void triggered([in] QAction p0);
	******/
	};

	[
		aggregatable,
		helpstring("QToolButton Class"),
		uuid(7C0FFE7A-60C3-4666-BDE2-5CF2B54390A1), 
		control
	]
	coclass QToolButton
	{
		[default] dispinterface IQToolButton;
		[default, source] dispinterface IQToolButtonEvents;
	};
};
